API Documentation Download OpenAPI specification

Get Catch-all Configuration

GEThttps://bll.titan.email/partner/getCatchallConfig

API to fetch catch all config for a Mail Order on Titan Mail Cloud infra

Note: In case catchall is not activated, the default behaviour is to reject all emails for unknown email addresses

Query parameters

titanOrderIdnumberrequired

The unique Titan order ID

Example: 1

Responses

200OKapplication/json
reqIDstringrequired
Example: server.req.id
emailstring

The catch-all email account setup against the domain

Example: abc@xyz.com
See General Errors for other errors that this API can return.
GET/partner/getCatchallConfig
curl 'https://bll.titan.email/partner/getCatchallConfig?titanOrderId=1' \
  --header 'Authorization: API.Key'
Response
{
  "reqID": "server.req.id",
  "email": "abc@xyz.com"
}